package com.jscape.inet.scp.protocol.marshaling;

import com.jscape.inet.scp.protocol.messages.Message;
import com.jscape.inet.scp.protocol.messages.OkMessage;

import java.io.IOException;
import java.io.InputStream;
import java.io.OutputStream;

/**
 * @author Alex Usun
 */
public class OkMessageCodec
        extends CodecBase {

    public Message read(InputStream in)
            throws IOException {
        return new OkMessage();
    }

    public void write(Message value, OutputStream out)
            throws IOException {
        // empty
    }
}
